Download Multiple Files/Folders as ZIP

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API downloads multiple files/folders in a compressed ZIP format. It returns wmskey and metadata of the ZIP file that needs to be downloaded.
The WMS key of the particular ZIP can be used in the Multi Download Progress API to retrieve the content of the compressed content.

Endpoints

OAuth Scope

WorkDrive.files.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request POST \
  --url https://www.zohoapis.com/workdrive/api/v1/multizip \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
  --header 'content-type: application/vnd.api+json' \
  --data '{"data":{"attributes":{"resource_id":"ly9zm7d2d47e189a041e3be9e64b86e4a79bd,ly9zm4af5c1d02da64bbca3398ab8080a6ba7"},"type":"files"}}'

Request Body

application/vnd.api+json
dataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
resource_idstring(Required)

The unique IDs of the files to be downloaded.

typestring(Required)

The JSON:API resource type. Always "files".

Allowed Values :
Show Values
filesCopied!
Copied!Copy all as JSON Array

Body Parameters

Copied!
  {
    "data": {
      "attributes": {
        "resource_id": "ly9zm7d2d47e189a041e3be9e64b86e4a79bd,ly9zm4af5c1d02da64bbca3398ab8080a6ba7"
      },
      "type": "files"
    }
  }
                
Show full

Response Example

R025

R025

R022

F200

R021

INTERNAL_ERROR

200
200
400
401
500
Copied!
  {
    "totalSize": 9293,
    "wmsKey": "TD_DLD_1628776217156",
    "totalFolders": 0,
    "direct_download": true,
    "totalFiles": 2,
    "folderId": "ulzkdcec2f60a582047e391704f8d6aacb70a"
  }
                
  {
    "errors": [
      {
        "id": "R025",
        "title": "No resources selected"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R022",
        "title": "Count limit exceeded"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F200",
        "title": "Mandatory input fields missing"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R021",
        "title": "Authorization check failed"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "INTERNAL_ERROR",
        "title": "Exception while processing multi-download"
      }
    ]
  }
                
Show full